FruxonDocs
ApiKnowledge bases

Gets one knowledge base.

Returns the authoring metadata together with live publish status derived from the backing asset's RAG ingestion state when the knowledge base has been published.

GET
/v1/tenants/{tenant}/knowledgeBases/{knowledgeBase}
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

knowledgeBase*string

The knowledge base id.

Formatuuid
tenant*string

The tenant identifier

Response Body

curl -X GET "https://api.fruxon.com/v1/tenants/string/knowledgeBases/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "00000000-0000-0000-0000-000000000000",
  "displayName": "string",
  "description": "string",
  "locale": "string",
  "backingAssetId": "string",
  "status": "ACTIVE",
  "lastPublishedAt": 0,
  "publishState": "NONE",
  "lastPublishError": "string",
  "lastPublishErrorCategory": "CREDENTIALS",
  "createdAt": 0,
  "modifiedAt": 0
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}